package com.ihooyah.modules.system.entity;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;


/**
 * 操作日志记录
 * 
 * @author fatiaojie
 * @email 7854033@qq.com
 * @date 2020-04-03 10:47:51
 */
@Table(name = "sys_oper_log")
public class SysOperLog implements Serializable {
	private static final long serialVersionUID = 1L;
	
	    //日志主键
    @Id
    private Integer operId;
	
	    //模块标题
    @Column(name = "title")
    private String title;
	
	    //业务类型（0其它 1新增 2修改 3删除）
    @Column(name = "business_type")
    private Integer businessType;
	
	    //方法名称
    @Column(name = "method")
    private String method;
	
	    //
    @Column(name = "request_method")
    private String requestMethod;
	
	    //操作类别（0其它 1后台用户 2手机端用户）
    @Column(name = "operator_type")
    private Integer operatorType;
	
	    //操作人员
    @Column(name = "oper_name")
    private String operName;
	
	    //部门名称
    @Column(name = "dept_name")
    private String deptName;
	
	    //请求URL
    @Column(name = "oper_url")
    private String operUrl;
	
	    //主机地址
    @Column(name = "oper_ip")
    private String operIp;
	
	    //操作地点
    @Column(name = "oper_location")
    private String operLocation;
	
	    //请求参数
    @Column(name = "oper_param")
    private String operParam;
	
	    //操作状态（0正常 1异常）
    @Column(name = "status")
    private Integer status;
	
	    //错误消息
    @Column(name = "error_msg")
    private String errorMsg;
	
	    //操作时间
    @Column(name = "oper_time")
    private Date operTime;
	

	/**
	 * 设置：日志主键
	 */
	public void setOperId(Integer operId) {
		this.operId = operId;
	}
	/**
	 * 获取：日志主键
	 */
	public Integer getOperId() {
		return operId;
	}
	/**
	 * 设置：模块标题
	 */
	public void setTitle(String title) {
		this.title = title;
	}
	/**
	 * 获取：模块标题
	 */
	public String getTitle() {
		return title;
	}
	/**
	 * 设置：业务类型（0其它 1新增 2修改 3删除）
	 */
	public void setBusinessType(Integer businessType) {
		this.businessType = businessType;
	}
	/**
	 * 获取：业务类型（0其它 1新增 2修改 3删除）
	 */
	public Integer getBusinessType() {
		return businessType;
	}
	/**
	 * 设置：方法名称
	 */
	public void setMethod(String method) {
		this.method = method;
	}
	/**
	 * 获取：方法名称
	 */
	public String getMethod() {
		return method;
	}
	/**
	 * 设置：
	 */
	public void setRequestMethod(String requestMethod) {
		this.requestMethod = requestMethod;
	}
	/**
	 * 获取：
	 */
	public String getRequestMethod() {
		return requestMethod;
	}
	/**
	 * 设置：操作类别（0其它 1后台用户 2手机端用户）
	 */
	public void setOperatorType(Integer operatorType) {
		this.operatorType = operatorType;
	}
	/**
	 * 获取：操作类别（0其它 1后台用户 2手机端用户）
	 */
	public Integer getOperatorType() {
		return operatorType;
	}
	/**
	 * 设置：操作人员
	 */
	public void setOperName(String operName) {
		this.operName = operName;
	}
	/**
	 * 获取：操作人员
	 */
	public String getOperName() {
		return operName;
	}
	/**
	 * 设置：部门名称
	 */
	public void setDeptName(String deptName) {
		this.deptName = deptName;
	}
	/**
	 * 获取：部门名称
	 */
	public String getDeptName() {
		return deptName;
	}
	/**
	 * 设置：请求URL
	 */
	public void setOperUrl(String operUrl) {
		this.operUrl = operUrl;
	}
	/**
	 * 获取：请求URL
	 */
	public String getOperUrl() {
		return operUrl;
	}
	/**
	 * 设置：主机地址
	 */
	public void setOperIp(String operIp) {
		this.operIp = operIp;
	}
	/**
	 * 获取：主机地址
	 */
	public String getOperIp() {
		return operIp;
	}
	/**
	 * 设置：操作地点
	 */
	public void setOperLocation(String operLocation) {
		this.operLocation = operLocation;
	}
	/**
	 * 获取：操作地点
	 */
	public String getOperLocation() {
		return operLocation;
	}
	/**
	 * 设置：请求参数
	 */
	public void setOperParam(String operParam) {
		this.operParam = operParam;
	}
	/**
	 * 获取：请求参数
	 */
	public String getOperParam() {
		return operParam;
	}
	/**
	 * 设置：操作状态（0正常 1异常）
	 */
	public void setStatus(Integer status) {
		this.status = status;
	}
	/**
	 * 获取：操作状态（0正常 1异常）
	 */
	public Integer getStatus() {
		return status;
	}
	/**
	 * 设置：错误消息
	 */
	public void setErrorMsg(String errorMsg) {
		this.errorMsg = errorMsg;
	}
	/**
	 * 获取：错误消息
	 */
	public String getErrorMsg() {
		return errorMsg;
	}
	/**
	 * 设置：操作时间
	 */
	public void setOperTime(Date operTime) {
		this.operTime = operTime;
	}
	/**
	 * 获取：操作时间
	 */
	public Date getOperTime() {
		return operTime;
	}
}
